StackMoreLayersДокументация
APIReference

Изменить политики вычислений и ресурсов

PUT
/competitions/{competition_id}/policies/
АвторизацияBearer <token>

StackMoreLayers API token. Send as Authorization: Bearer sml_pat_live_<prefix>.<secret>.

In: header

Параметры пути

competition_id*integer

Numeric competition identifier.

Range1 <= value

Заголовки

Idempotency-Key?string

Opaque client-generated key. A retry with the same key and body returns the original result instead of repeating the effect.

Match^[!-~]+$
Length8 <= length <= 128

Тело запроса

application/json

Типы TypeScript

Use the request body type in TypeScript.

Partial Host Studio policy update.

Properties1 <= properties

Ответ

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/competitions/1/policies/" \  -H "Content-Type: application/json" \  -d '{}'
{  "competition": {    "default_notebook_policy": {},    "gpu_budget": {}  },  "phases": [    {      "phase_id": 0,      "phase_title": "string",      "notebook_policy": {}    }  ]}